Summary: LightDM KDE Greeter
Name:	 lightdm-kde
Version: 0.1.1
Release: 6%{?dist}

# Most files GPLv3+, handful LGPLv2+ (but those can upgrade to GPLv3+)
License: GPLv3+
URL:	 https://projects.kde.org/projects/playground/base/lightdm
Source0: http://download.kde.org/unstable/lightdm-kde/src/lightdm-kde-%{version}.tar.bz2

BuildRequires: gettext
BuildRequires: intltool
BuildRequires: kdelibs4-devel
BuildRequires: pkgconfig(liblightdm-qt-2)

Obsoletes: lightdm-kde-greeter < 0.1.1-2
Provides:  lightdm-kde-greeter = %{version}-%{release}

Provides: lightdm-greeter = 1.2
Requires: lightdm

Requires(post): %{_sbindir}/update-alternatives
Requires(postun): %{_sbindir}/update-alternatives


%description
A LightDM greeter for KDE.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

# own alternatives target
touch %{buildroot}%{_datadir}/xgreeters/lightdm-greeter.desktop

%post
%{_sbindir}/update-alternatives \
  --install %{_datadir}/xgreeters/lightdm-greeter.desktop \
  lightdm-greeter \
  %{_datadir}/xgreeters/lightdm-kde-greeter.desktop \
  10

%postun
if [ $1 -eq 0 ]; then
%{_sbindir}/update-alternatives \
  --remove lightdm-greeter \
  %{_datadir}/xgreeters/lightdm-kde-greeter.desktop
fi

%files 
%doc COPYING NEWS
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.kde.kcontrol.kcmlightdm.conf
%{_kde4_libdir}/kde4/kcm_lightdm.so
%{_kde4_libexecdir}/kcmlightdmhelper
%{_sbindir}/lightdm-kde-greeter
%{_datadir}/dbus-1/system-services/org.kde.kcontrol.kcmlightdm.service
%{_kde4_appsdir}/lightdm-kde-greeter/
%{_kde4_datadir}/kde4/services/kcm_lightdm.desktop
%{_datadir}/polkit-1/actions/org.kde.kcontrol.kcmlightdm.policy
%{_datadir}/xgreeters/lightdm-kde-greeter.desktop
# own alternatives target
%ghost %{_datadir}/xgreeters/lightdm-greeter.desktop


%changelog
* Fri Jun 15 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-6
- try using alternatives

* Tue Jun 12 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-5
- Provides: lightdm-greeter = 1.2

* Mon Jun 11 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-4
- fix Source url (http vs https)

* Mon Jun 11 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-3
- %%doc COPYING NEWS
- %%config dbus conf
- License: GPLv3+

* Wed Apr 25 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-2
- Requires: lightdm

* Wed Apr 25 2012 Rex Dieter <rdieter@fedoraproject.org> 0.1.1-1
- first try

